<template>
  <div class="email-verify verify-center">
    <div class="title d-flex align-items-center">{{ $t('auth.verify_email.title') }}</div>

    <div class="content-container">
      <div class="message" v-if="status">{{ $t('auth.verify.success') }}</div>
      <div class="message" v-else>{{ $t('auth.verify.error') }}</div>
      <button type="button" class="button-primary" @click="goToLoginPage">{{ $t('auth.btn.upper_login') }}</button>
    </div>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        status: !!verify_status
      }
    },
    methods: {
      goToLoginPage () {
        this.$router.push('/login');
      },
    }
  }
</script>

<style lang="scss" scoped>
  @import "../../../sass/mobile/typoVariables.scss";
  .email-verify {
    .title {
      padding: 13rem 0 13rem 12rem;
      background-image: linear-gradient(to bottom, $midnight, $catalina_blue);
      box-shadow: 0 2rem 40rem 0 rgba(0, 0, 0, 0.5);
      color: $white;
      font-size: 18rem;
    }
    .content-container {
      min-height: calc(100vh - 222rem);
      text-align: center;
      background: $bg_primary;
      .message {
        font-size: 14rem;
        padding-top: 32rem;
        text-align: center;
        color: #989898;
      }
      .button-primary {
        width: 122px;
        height: 35px;
        border-radius: 30px;
        background-color: #fa7300;
        font-size: 12rem;
        margin-top: 20rem;

        border: none;
        outline: none;
        color: white;
        cursor: pointer;
        letter-spacing: 1px;
        font-weight: bold;
        &:hover {
          background-color: #da6400;
          color: #fff;
        }
      }
    }
  }
</style>
